<?php

/**
 * @file
 * Drupdates module API functions.
 */

/**
 * Alter the download URL for a drupdates release file.
 *
 * @param string $download_url
 *  The original download URL.
 * @param stdClass $project
 *  The drupdates project the download relates to.
 * @param stdClass $release
 *  The release the download relates to.
 */
function hook_drupdates_download_url_alter(&$download_url, $project, $release) {
  $filename = $release->release_tarfile[$project->language][0]['filename'];
  if ('gz' != strtolower(substr($download_url, -2))) {
    $filename = $release->release_zipfile[$project->language][0]['filename'];
  }

  $shortname = $project->project_shortname[$project->language][0]['safe_value'];
  $download_url = "https://github.com/example/{$shortname}/{$filename}";
}
