<?php
/**
 * @file
 * drupdates.features.field_instance.inc
 */

/**
 * Implements hook_field_default_field_instances().
 */
function drupdates_field_default_field_instances() {
  $field_instances = array();

  // Exported field_instance: 'node-drupdates_project-body'
  $field_instances['node-drupdates_project-body'] = array(
    'bundle' => 'drupdates_project',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'hidden',
        'module' => 'text',
        'settings' => array(),
        'type' => 'text_default',
        'weight' => 0,
      ),
      'teaser' => array(
        'label' => 'hidden',
        'module' => 'text',
        'settings' => array(
          'trim_length' => 600,
        ),
        'type' => 'text_summary_or_trimmed',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'body',
    'label' => 'Body',
    'required' => FALSE,
    'settings' => array(
      'display_summary' => TRUE,
      'text_processing' => 1,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'module' => 'text',
      'settings' => array(
        'rows' => 20,
        'summary_rows' => 5,
      ),
      'type' => 'text_textarea_with_summary',
      'weight' => -4,
    ),
  );

  // Exported field_instance: 'node-drupdates_project-field_releases'
  $field_instances['node-drupdates_project-field_releases'] = array(
    'bundle' => 'drupdates_project',
    'deleted' => 0,
    'description' => 'Project releases',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'entityreference',
        'settings' => array(
          'links' => 0,
          'view_mode' => 'full',
        ),
        'type' => 'entityreference_entity_view',
        'weight' => 5,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_releases',
    'label' => 'Releases',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'inline_entity_form',
      'settings' => array(
        'fields' => array(),
        'type_settings' => array(
          'allow_existing' => 0,
          'delete_references' => 1,
          'match_operator' => 'CONTAINS',
        ),
      ),
      'type' => 'inline_entity_form',
      'weight' => 1,
    ),
  );

  // Exported field_instance: 'node-drupdates_project-project_apiversion'
  $field_instances['node-drupdates_project-project_apiversion'] = array(
    'bundle' => 'drupdates_project',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'API Version of the module (example: 7.x)',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'text',
        'settings' => array(),
        'type' => 'text_default',
        'weight' => 3,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'project_apiversion',
    'label' => 'API Version',
    'required' => TRUE,
    'settings' => array(
      'text_processing' => 0,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'module' => 'text',
      'settings' => array(
        'size' => 60,
      ),
      'type' => 'text_textfield',
      'weight' => -1,
    ),
  );

  // Exported field_instance: 'node-drupdates_project-project_creator'
  $field_instances['node-drupdates_project-project_creator'] = array(
    'bundle' => 'drupdates_project',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Name of the creator of the module',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'text',
        'settings' => array(),
        'type' => 'text_default',
        'weight' => 2,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'project_creator',
    'label' => 'Creator',
    'required' => TRUE,
    'settings' => array(
      'text_processing' => 0,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'module' => 'text',
      'settings' => array(
        'size' => 60,
      ),
      'type' => 'text_textfield',
      'weight' => -2,
    ),
  );

  // Exported field_instance: 'node-drupdates_project-project_shortname'
  $field_instances['node-drupdates_project-project_shortname'] = array(
    'bundle' => 'drupdates_project',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Short name for the project used in URL',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'text',
        'settings' => array(),
        'type' => 'text_default',
        'weight' => 1,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'project_shortname',
    'label' => 'Short name',
    'required' => TRUE,
    'settings' => array(
      'text_processing' => 0,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'module' => 'text',
      'settings' => array(
        'size' => 60,
      ),
      'type' => 'text_textfield',
      'weight' => -3,
    ),
  );

  // Exported field_instance: 'node-drupdates_project-project_supportedmajors'
  $field_instances['node-drupdates_project-project_supportedmajors'] = array(
    'bundle' => 'drupdates_project',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Major version supported',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'text',
        'settings' => array(),
        'type' => 'text_default',
        'weight' => 4,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'project_supportedmajors',
    'label' => 'Supported majors',
    'required' => TRUE,
    'settings' => array(
      'text_processing' => 0,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'module' => 'text',
      'settings' => array(
        'size' => 60,
      ),
      'type' => 'text_textfield',
      'weight' => 0,
    ),
  );

  // Exported field_instance: 'node-drupdates_release-field_release_tarfile_md5'
  $field_instances['node-drupdates_release-field_release_tarfile_md5'] = array(
    'bundle' => 'drupdates_release',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 5,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_release_tarfile_md5',
    'label' => 'Tar.gz file md5',
    'required' => 0,
    'settings' => array(
      'text_processing' => 0,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'hidden_field',
      'settings' => array(),
      'type' => 'hidden_value',
      'weight' => 5,
    ),
  );

  // Exported field_instance: 'node-drupdates_release-field_release_zipfile_md5'
  $field_instances['node-drupdates_release-field_release_zipfile_md5'] = array(
    'bundle' => 'drupdates_release',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 6,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_release_zipfile_md5',
    'label' => 'Zip file md5',
    'required' => 0,
    'settings' => array(
      'text_processing' => 0,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'hidden_field',
      'settings' => array(),
      'type' => 'hidden_value',
      'weight' => 7,
    ),
  );

  // Exported field_instance: 'node-drupdates_release-release_tarfile'
  $field_instances['node-drupdates_release-release_tarfile'] = array(
    'bundle' => 'drupdates_release',
    'deleted' => 0,
    'description' => 'A tar.gz-file containing the release',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'file',
        'settings' => array(),
        'type' => 'file_default',
        'weight' => 3,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'release_tarfile',
    'label' => 'Tar.gz file',
    'required' => TRUE,
    'settings' => array(
      'description_field' => 0,
      'file_directory' => 'releases',
      'file_extensions' => 'tar gz',
      'max_filesize' => '',
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'file',
      'settings' => array(
        'progress_indicator' => 'throbber',
      ),
      'type' => 'file_generic',
      'weight' => 4,
    ),
  );

  // Exported field_instance: 'node-drupdates_release-release_versionextra'
  $field_instances['node-drupdates_release-release_versionextra'] = array(
    'bundle' => 'drupdates_release',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Extra information about the version',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 2,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'release_versionextra',
    'label' => 'Version extra',
    'required' => FALSE,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'module' => 'options',
      'settings' => array(),
      'type' => 'options_select',
      'weight' => 3,
    ),
  );

  // Exported field_instance: 'node-drupdates_release-release_versionmajor'
  $field_instances['node-drupdates_release-release_versionmajor'] = array(
    'bundle' => 'drupdates_release',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'The major version of the release',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'number',
        'settings' => array(
          'decimal_separator' => '.',
          'prefix_suffix' => TRUE,
          'scale' => 0,
          'thousand_separator' => ' ',
        ),
        'type' => 'number_integer',
        'weight' => 0,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'release_versionmajor',
    'label' => 'Version major',
    'required' => TRUE,
    'settings' => array(
      'max' => '',
      'min' => 0,
      'prefix' => '',
      'suffix' => '',
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'module' => 'number',
      'settings' => array(),
      'type' => 'number',
      'weight' => 1,
    ),
  );

  // Exported field_instance: 'node-drupdates_release-release_versionpatch'
  $field_instances['node-drupdates_release-release_versionpatch'] = array(
    'bundle' => 'drupdates_release',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'The patch version of the release',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'number',
        'settings' => array(
          'decimal_separator' => '.',
          'prefix_suffix' => TRUE,
          'scale' => 0,
          'thousand_separator' => ' ',
        ),
        'type' => 'number_integer',
        'weight' => 1,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'release_versionpatch',
    'label' => 'Version patch',
    'required' => TRUE,
    'settings' => array(
      'max' => '',
      'min' => 0,
      'prefix' => '',
      'suffix' => '',
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'module' => 'number',
      'settings' => array(),
      'type' => 'number',
      'weight' => 2,
    ),
  );

  // Exported field_instance: 'node-drupdates_release-release_zipfile'
  $field_instances['node-drupdates_release-release_zipfile'] = array(
    'bundle' => 'drupdates_release',
    'deleted' => 0,
    'description' => 'A zip-file containing the release',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'file',
        'settings' => array(),
        'type' => 'file_default',
        'weight' => 4,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'release_zipfile',
    'label' => 'Zip file',
    'required' => FALSE,
    'settings' => array(
      'description_field' => 0,
      'file_directory' => 'releases',
      'file_extensions' => 'zip',
      'max_filesize' => '',
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'file',
      'settings' => array(
        'progress_indicator' => 'throbber',
      ),
      'type' => 'file_generic',
      'weight' => 6,
    ),
  );

  // Translatables
  // Included for use with string extractors like potx.
  t('A tar.gz-file containing the release');
  t('A zip-file containing the release');
  t('API Version');
  t('API Version of the module (example: 7.x)');
  t('Body');
  t('Creator');
  t('Extra information about the version');
  t('Major version supported');
  t('Name of the creator of the module');
  t('Project releases');
  t('Releases');
  t('Short name');
  t('Short name for the project used in URL');
  t('Supported majors');
  t('Tar.gz file');
  t('Tar.gz file md5');
  t('The major version of the release');
  t('The patch version of the release');
  t('Version extra');
  t('Version major');
  t('Version patch');
  t('Zip file');
  t('Zip file md5');

  return $field_instances;
}
